Package org.codehaus.groovy.runtime.metaclass

# Class NewMetaMethod

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod
org.codehaus.groovy.runtime.metaclass.NewMetaMethod

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `NewInstanceMetaMethod`, `NewStaticMetaMethod`

public class NewMetaMethod extends ReflectionMetaMethod
Base class for NewInstanceMetaMethod and NewStaticMetaMethod

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CachedClass[]`
`bytecodeParameterTypes`
`protected static final CachedClass[]`
`EMPTY_TYPE_ARRAY`

### Fields inherited from class org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

`method`

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

## Constructor Summary

Constructors
Constructor
Description
`NewMetaMethod(CachedMethod method)`

## Method Summary

Modifier and Type
Method
Description
`CachedClass[]`
`getBytecodeParameterTypes()`
`CachedClass`
`getDeclaringClass()`
Gets the class where this method is declared
`CachedClass`
`getOwnerClass()`

### Methods inherited from class org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

`getCachedMethod, getModifiers, getName, getPT, getReturnType, invoke, toString`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EMPTY_TYPE_ARRAY

protected static final CachedClass[] EMPTY_TYPE_ARRAY

### bytecodeParameterTypes

protected CachedClass[] bytecodeParameterTypes

## Constructor Details

### NewMetaMethod

public NewMetaMethod(CachedMethod method)

## Method Details

### getDeclaringClass

public CachedClass getDeclaringClass()
Description copied from class: `MetaMethod`
Gets the class where this method is declared

Overrides:
  `getDeclaringClass` in class `ReflectionMetaMethod`
Returns:
  class of this method

### getBytecodeParameterTypes

public CachedClass[] getBytecodeParameterTypes()

### getOwnerClass

public CachedClass getOwnerClass()